Subject: Re: [PATCH v2] powerpc: Add irqtrace support for 32-bit powerpc

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 05 Apr 2008 16:14:56 +1100

On Sat, 2008-04-05 at 01:31 +0200, Johannes Berg wrote:
> > This version takes care to save and restore *all* the volatile registers
> > around the call to trace_hardirqs_off in transfer_to_handler, and should
> > fix the anomalies seen by Johannes Berg.  I've tested on 7447- and 8548-
> > based boards.
> 
> Still has problems on my machine. Maybe to do with non-maskable PMU
> interrupts? (saw a patch about something like that float by, don't
> really have any idea whether it's related to this work or not)

Or more likely he missed some clobber somewhere, it took me a while to
get that right on ppc64 (well... hopefully it -is- right by now :-)

Ben.